{smcl}
{* *! version 2.0 21jul2012}{...}
{cmd:help multicat}
{hline}

{title:Title}
{phang}
{bf:multicat -- Multiple bar charts of categorical variables}

{title:Syntax}
{p 8 17 12}
{cmd:multicat} {it:varlist} [{it:weight}] [{cmd:if} {it:exp}] 
[{cmd:in} {it:range}]{cmd:,} [{cmdab:miss:ing}] [{cmd:by(}{it:groupvar}{cmd:)}]

{title:Description}

{pstd}
{cmd:multicat} draws horizontal bar charts showing percentages of 
categorical variables. It saves one chart for each of the variables 
in {it:varlist}. Graphs are saved in the current default directory, 
with file names based on variable names preceded by a hyphen, such 
as {it:-vote.gph} or {it:-region-vote.gph}. They are saved both in 
Stata's .gph format and one other graphical file format (.emf, .eps 
or .pdf) depending on operating system.

{pstd}
Using analytical weights {cmd:[aw = }{it:weightvar}{cmd:]} with 
{cmd:multicat} will result in percentages equivalent to those 
obtained by {cmd:svy: tab} applied to data declared as survey type, 
by a command such as {cmd:svyset [pw = }{it:weightvar}{cmd:]}. The 
{cmd:svy:} prefix cannot be used with {cmd:multicat} itself. Chapter 
14 in {browse "http://www.stata.com/bookstore/statistics-with-stata/index.html":Statistics with Stata} 
(2012) has examples and discussion of {cmd:multicat}.

{pstd}{cmd:multicat} requires that {cmd:catplot} is installed. Type 
{cmd:findit catplot} for instructions on installing this unofficial
program, written by Nicholas Cox.


{title:Options}

{phang}
{cmdab:miss:ing} includes missing values in the bar chart and 
calculated percentages.

{phang}
{cmd:by(}{it:groupvar}{cmd:)} draws an image containing separate 
small charts for each value of {it:groupvar}.


{title:Examples}

{phang}
{cmd:. multicat party wrongtrack vote}

{phang}
{cmd:. multicat party-vote [aw = weightvar], miss}

{phang}
{cmd:. multicat party-vote [aw = weightvar], by(region)}


{title:References}

{pstd}
Hamilton, Lawrence C. 2012.
{browse "http://www.stata.com/bookstore/statistics-with-stata/index.html":Statistics with Stata}.
Belmont, CA: Cengage.{p_end}
