*!  21jun2012
*!  L. Hamilton, Statistics with Stata (2012)
program ols2, eclass
	version 12.1
	syntax varlist(min=1 numeric) [in] [if]
	marksample touse
	gen cons_ = 1
	local `varlist'
	tokenize `varlist'
	local lhs "`1'"
	tsunab lhs : `lhs'
	mac shift
	local rhs "`*'"
	mata: st_view(y=., ., "`lhs'", "`touse'")
	mata: st_view(X=., ., (tokens("`rhs'"), "cons_"), "`touse'")
	mata: b = invsym(X'X)*X'y
	mata: e = y - X*b
	mata: n = rows(X)
	mata: k = cols(X)
	mata: s2 = (e'e)/(n-k)
	mata: V = s2*invsym(X'X)
	mata: se = sqrt(diagonal(V))
	mata: t = b:/se
	mata: Prt = 2*ttail(n-k, abs(b:/se))
	mata: vnames_ = "Yvar: `lhs'", tokens("`rhs'"), "_cons"
	mata: vnames_', ("Coef." \ strofreal(b)), 	/*
		*/	("Std. Err." \ strofreal(se)),	/*
		*/	("t" \ strofreal(t)), ("P>|t|" \ strofreal(Prt))
	drop cons_
end

